package com.qmth.eds.common.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 云阅卷成绩表
 */
@ApiModel(value = "CloudMarkingScore对象", description = "云阅卷成绩表")
public class CloudMarkingScore implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "学校ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "学期ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long semesterId;

    @ApiModelProperty(value = "考试类型ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examTypeId;

    @ApiModelProperty(value = "云阅卷考试id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Integer examId;

    @ApiModelProperty(value = "云阅卷考试Code")
    private String examCode;

    @ApiModelProperty(value = "准考证号")
    private String examNumber;

    @ApiModelProperty(value = "学号")
    private String studentCode;

    @ApiModelProperty(value = "学生姓名")
    private String name;

    @ApiModelProperty(value = "课程代码")
    private String subjectCode;

    @ApiModelProperty(value = "课程名称")
    private String subjectName;

    @ApiModelProperty(value = "试卷类型")
    private String paperType;

    @ApiModelProperty(value = "学院")
    private String college;

    @ApiModelProperty(value = "班级")
    private String className;

    @ApiModelProperty(value = "老师")
    private String teacher;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "原卷地址")
    private String sheetUrls;

    @ApiModelProperty(value = "总分")
    private String totalScore;

    @ApiModelProperty(value = "客观题总分")
    private String objectiveScore;

    @ApiModelProperty(value = "主观题总分")
    private String subjectiveScore;

    @ApiModelProperty(value = "客观题小题分")
    private String objectiveScoreDetail;

    @ApiModelProperty(value = "主观题小题分")
    private String subjectiveScoreDetail;

    @ApiModelProperty(value = "阅卷轨迹")
    private String markTags;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getSemesterId() {
        return semesterId;
    }

    public void setSemesterId(Long semesterId) {
        this.semesterId = semesterId;
    }

    public Long getExamTypeId() {
        return examTypeId;
    }

    public void setExamTypeId(Long examTypeId) {
        this.examTypeId = examTypeId;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getCollege() {
        return college;
    }

    public void setCollege(String college) {
        this.college = college;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getTeacher() {
        return teacher;
    }

    public void setTeacher(String teacher) {
        this.teacher = teacher;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getSheetUrls() {
        return sheetUrls;
    }

    public void setSheetUrls(String sheetUrls) {
        this.sheetUrls = sheetUrls;
    }

    public String getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(String totalScore) {
        this.totalScore = totalScore;
    }

    public String getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(String objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public String getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(String subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }

    public String getObjectiveScoreDetail() {
        return objectiveScoreDetail;
    }

    public void setObjectiveScoreDetail(String objectiveScoreDetail) {
        this.objectiveScoreDetail = objectiveScoreDetail;
    }

    public String getSubjectiveScoreDetail() {
        return subjectiveScoreDetail;
    }

    public void setSubjectiveScoreDetail(String subjectiveScoreDetail) {
        this.subjectiveScoreDetail = subjectiveScoreDetail;
    }

    public String getMarkTags() {
        return markTags;
    }

    public void setMarkTags(String markTags) {
        this.markTags = markTags;
    }
}
