package com.qmth.eds.service;

import com.qmth.eds.common.entity.ExamScheduleTask;
import com.qmth.eds.common.entity.TBSyncTask;
import com.qmth.eds.common.enums.TaskTypeEnum;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 异步同步云阅卷
 */
@Service
public class AsyncTaskService {

    @Resource
    private DataSyncService dataSyncService;

    @Resource
    private TBSyncTaskService tbSyncTaskService;

    /**
     * 同步试卷结构、分组信息、评卷员绑定关系
     */
    public void syncExamData(ExamScheduleTask examScheduleTask, boolean isAuto) {
        // 记录日志
        TBSyncTask tbSyncTask = tbSyncTaskService.saveTask(examScheduleTask, TaskTypeEnum.WHU_TEACH_DATA, isAuto);
        dataSyncService.syncWuhanUniversityExamData(examScheduleTask, tbSyncTask, isAuto);
    }

    public void syncStudentScore(Long semesterId, Long examTypeId, Long collegeId, Integer examId) {
        // 记录日志
        String remark = "云阅卷考试：" + examId;
        TBSyncTask tbSyncTask = tbSyncTaskService.saveTask(collegeId, semesterId, examTypeId, TaskTypeEnum.CLOUD_MARKING_STUDENT_SCORE, remark);
        dataSyncService.syncCloudMarkingStudentScoreData(tbSyncTask, examId);
    }
}
