package com.qmth.eds.start;

import com.qmth.eds.common.contant.SystemConstant;
import com.qmth.eds.common.enums.JobEnum;
import com.qmth.eds.job.service.TimedSyncTaskJob;
import com.qmth.eds.service.AuthInfoService;
import com.qmth.eds.service.QuartzService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

/**
 * 服务启动时初始化运行，哪个微服务模块需要则拿此模版去用
 */
@Component
public class StartRunning implements CommandLineRunner {
    private final static Logger log = LoggerFactory.getLogger(StartRunning.class);

    @Resource
    AuthInfoService authInfoService;

    @Resource
    QuartzService quartzService;

    @Override
    public void run(String... args) throws Exception {
        log.info("服务器启动时执行 start");
        SystemConstant.initTempFiles();

        authInfoService.appInfoInit();

        /*log.info("增加学校信息同步定时任务 start");
        Map schoolJobMap = new HashMap();
        schoolJobMap.computeIfAbsent("name", v -> TimedSyncSchoolJob.class.getName());
        quartzService.deleteJob(JobEnum.TIMED_SYNC_SCHOOL_JOB.name(), JobEnum.TIMED_SYNC_SCHOOL_JOB.name());
        // 每天0点定时任务
        quartzService.addJob(TimedSyncSchoolJob.class, JobEnum.TIMED_SYNC_SCHOOL_JOB.name(), JobEnum.TIMED_SYNC_SCHOOL_JOB.name(), "0 0 0 * * ?", schoolJobMap);
        log.info("增加学校信息同步定时任务 end");*/

        Map schoolJobMap = new HashMap();
        schoolJobMap.computeIfAbsent("name", v -> TimedSyncTaskJob.class.getName());
        quartzService.deleteJob(JobEnum.TIMED_SYNC_TASK_JOB.name(), JobEnum.TIMED_SYNC_TASK_JOB.name());
        // 每天0点定时任务
        quartzService.addJob(TimedSyncTaskJob.class, JobEnum.TIMED_SYNC_TASK_JOB.name(), JobEnum.TIMED_SYNC_TASK_JOB.name(), "0 0 0 * * ?", schoolJobMap);

        log.info("服务器启动时执行 end");
    }
}
